package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItemdiscountRemoveitemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItemdiscountRemoveitemItemDiscountSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaHmMarketingItemdiscountRemoveitemRequest) SetParam0(v domain.AlibabaHmMarketingItemdiscountRemoveitemItemDiscountSku) *AlibabaHmMarketingItemdiscountRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItemdiscountRemoveitemRequest) SetParam1(v domain.AlibabaHmMarketingItemdiscountRemoveitemCommonActivityParam) *AlibabaHmMarketingItemdiscountRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItemdiscountRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItemdiscountRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
